import { Component, OnInit, Input,Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-acceptrejectbtns',
  templateUrl: './acceptrejectbtns.component.html',
  styleUrls: ['./acceptrejectbtns.component.css']
})
export class AcceptrejectbtnsComponent implements OnInit {

  @Input() cancelText:string;
  @Input() approveText:string;
  @Output() approveReject = new EventEmitter<string>();
  isApprove = true
  constructor() { }

  ngOnInit() {
  }

  appReject(decision){

    this.isApprove = false;
    console.log(decision)
    this.approveReject.emit(decision);
  }

}
